Subject: [bug#43198] Fwd: [bug#43198] Add breeze icon assets

From: Prafulla Giri <[email-masked]>
Date: Fri, 4 Sep 2020 16:45:10 +0545

---------- Forwarded message ---------
From: Prafulla Giri <[email-masked]>
Date: Fri, Sep 4, 2020 at 4:43 PM
Subject: Re: [bug#43198] Add breeze icon assets
To: Ludovic Courtès <[email-masked]>

Thank you for the review, Mr. Courtès.

Attached are the updated patches.

Yes, sir. It seems that breeze-assets is licensed under GPL2 only (I
couldn't find "or any later version" in their license file:
https://github.com/KDE/breeze/blob/master/COPYING

I am also concerned regarding the naming of the `breeze` package. I wonder
if that is a good name. But I can't quite think of any other name.
`kde-breeze`? `breeze-style`? I don't know... I worry that this name (if it
is not the most convenient) might get stuck once it is merged and other
packages start to build on top of it. I don't know.

On Fri, Sep 4, 2020 at 3:14 PM Ludovic Courtès <[email-masked]> wrote:

> Hi,
>
> Prafulla Giri <[email-masked]> skribis:
>
> > From ac4c48493cff931d8f04abf8f52236e49bc818ae Mon Sep 17 00:00:00 2001
> > From: Prafulla Giri <[email-masked]>
> > Date: Fri, 4 Sep 2020 12:56:26 +0545
> > Subject: [PATCH 1/2] gnu: kde-frameworks: Add breeze-assets
> >
> > * gnu/packages/kde-frameworks.scm (breeze-assets): New variable.
>
> [...]
>
> > +(define-public breeze-assets
> > +  (package (inherit breeze-icons)
> > +           (name "breeze-assets")
>
> Please indent like this:
>
>   (package
>     (inherit breeze-icons)
>     (name …)
>     …)
>
> > +           (synopsis "Artwork, styles and assets for the Breeze visual
> style")
> > +           (description "Artwork, styles and assets associated with the
> Breeze
> > +visual style.")
>
> Please write full sentences for the description:
>
>   https://guix.gnu.org/manual/en/html_node/Synopses-and-Descriptions.html
>
> > +           (license license:gpl2)))
>
> Is it GPL-version-2-only?  That’d mean that source file headers (or
> similar) explicitly omit the “or any later version” wording.
>
> > From 468f64cd140bf38b6142fa0e4e1d6cae22c2b8df Mon Sep 17 00:00:00 2001
> > From: Prafulla Giri <[email-masked]>
> > Date: Fri, 4 Sep 2020 12:59:28 +0545
> > Subject: [PATCH 2/2] gnu: kde-frameworks: Add breeze
> >
> > * gnu/packages/kde-frameworks.scm (breeze): New variable.
> > ---
> >  gnu/packages/kde-frameworks.scm | 14 ++++++++++++++
> >  1 file changed, 14 insertions(+)
> >
> > diff --git a/gnu/packages/kde-frameworks.scm
> b/gnu/packages/kde-frameworks.scm
> > index 7fd17d92b7..2ff90fb915 100644
> > --- a/gnu/packages/kde-frameworks.scm
> > +++ b/gnu/packages/kde-frameworks.scm
> > @@ -355,6 +355,20 @@ It is the default icon theme for the KDE Plasma 5
> desktop.")
> >  visual style.")
> >             (license license:gpl2)))
> >
> > +(define-public breeze
> > +  (package (inherit (@ (gnu packages mate) mate)) ;; union-build
> boilerplate
> > +           (name "breeze")
>
> In general, use of ‘@’ must be avoided: it’s better to just import the
> modules you need.
>
> More importantly though, you must not inherit from a package defined in
> another module as that would prevent modules from being loaded.
>
> The solution here is probably to duplicate all the fields instead of
> inheriting.  In this case, that’s probably not going to be much longer
> anyway.  And if you want, you can add a comment saying that breeze is
> based on MATE or something.
>
> HTH!
>
> Thank you,
> Ludo’.
>